<template>
  <div
    :class="[
      'preorder-tutorial-button',
      layout === 'inline' && 'inline-button'
    ]"
    @click.stop.prevent="onClick($event)"
  >
    <div class="button"><slot name="icon" /></div>
    <div class="text"><slot name="text" /></div>
  </div>
</template>

<script>
export default {
  props: {
    icon: {
      type: String,
      required: true
    },
    layout: {
      type: String
    }
  },

  methods: {
    onClick() {
      this.$emit("onAnchorClick", "#" + this.icon);
    }
  }
};
</script>

<style lang="scss" scoped>
.preorder-tutorial-button {
  display: flex;
  flex-direction: column;
  text-align: center;
  cursor: pointer;
  .button {
    flex-shrink: 0;
    width: 160px;
    height: 160px;
    background-color: $color-genesis-white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .text {
    width: 100%;
    height: 28px;
    margin: 20px auto 40px;
    font-size: 16px;
  }
  &.inline-button {
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
    .button {
      width: 32px;
      height: 32px;
      background-color: $color-white;
      margin-right: 2px;
      img {
        width: 32px;
        height: 32px;
      }
    }
    .text {
      height: 100%;
      margin: 0;
    }
  }
}

@include media-breakpoint-down(sm) {
  .preorder-tutorial-button {
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    text-align: left;
    .button {
      width: 80px;
      height: 80px;
      margin: 0px 30px 0px 40px;
      .icon {
        width: 48px;
        height: 48px;
      }
    }
    .text {
      margin: auto 0px;
    }
  }
}
</style>
